import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;


public class FileBookService implements BookService {
	private ArrayList<Book> books = new ArrayList<Book>();
	
	public FileBookService() {
		try {
			File file = new File("books.txt");
			Scanner scanner = new Scanner(file);
			while(scanner.hasNextLine()) {
				String line = scanner.nextLine();
				String[] components = line.split("\t");
				Book book = new Book(components[0], components[1], components[2]);
				this.books.add(book);
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}
	
	@Override
	public void add(Book book) {
		this.books.add(book);		
	}
	
	@Override
	public List<Book> listBooks() {
		return books;
	}
	
}
