import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTextField;

import org.apache.log4j.BasicConfigurator;


public class SwingUI extends JFrame implements ActionListener {
	private BookService bookService;
	
	private JTextField txtAuthor;
	
	private JTextField txtIsbn;
	
	private JTextField txtTitle;
	
	private JButton btnAdd;

	private JButton btnList;
	
	public SwingUI(BookService bookService) {
		this.bookService = bookService;
		
		setLayout(new GridLayout(0, 2, 5, 5));
		add(new JLabel("ISBN:"));
		add(txtIsbn = new JTextField());
		
		add(new JLabel("Autor:"));
		add(txtAuthor = new JTextField());		
		
		add(new JLabel("Nzov:"));
		add(txtTitle = new JTextField());
	
		add(btnAdd = new JButton("Add"));
		btnAdd.addActionListener(this);

		btnList = new JButton("List");
		btnList.addActionListener(this);
		add(btnList);
		
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		pack();
	}
	
	protected void onAddClick() {
		Book book = new Book(txtIsbn.getText(), txtAuthor.getText(), txtTitle.getText());
		bookService.add(book);
	}

	
	private void onListClick() {
		
		JOptionPane.showMessageDialog(this, bookService.listBooks());
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == btnAdd) {
			onAddClick();
		}
		if(e.getSource() == btnList) {
			onListClick();
		}		
	}
	public static void main(String[] args) {
		BasicConfigurator.configure();
		SwingUI ui = new SwingUI(new SimpleBookService());
		ui.setVisible(true);
	}
}
