import java.util.List;

import org.apache.log4j.BasicConfigurator;

import junit.framework.Assert;
import junit.framework.TestCase;


public class SimpleBookServiceTest extends TestCase {
	private SimpleBookService bookService;

	protected void setUp() throws Exception {
		super.setUp();
		
		BasicConfigurator.configure();
		
		bookService = new SimpleBookService();
	}
	
	public void testAddBook() throws Exception {
		Book book = new Book("1", "J. K. Rowling", "Harry Potter");
		bookService.add(book);
		
		List<Book> books = bookService.listBooks();
	
		Assert.assertTrue(books.contains(book));
	}

	public void testListBooks() throws Exception {
		Book book = new Book("1", "J. K. Rowling", "Harry Potter");
		bookService.add(book);

		Book book2 = new Book("2", "J. R. R. Tolkien", "Pn prsteov");
		bookService.add(book2);

		List<Book> books = bookService.listBooks();
	
		Assert.assertTrue(books.contains(book));
		Assert.assertTrue(books.contains(book2));
		
		
	}
	
}
